=== debian/control ===
Source: libppd
Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
Homepage: http://sourceforge.net/project/showfiles.php?group_id=3800&package_id=11729
Standards-Version: 4.6.0
Build-Depends: debhelper-compat (= 13),
    libglib2.0-dev,
Priority: optional
Section: libs
Rules-Requires-Root: no

Package: libppd-dev
Architecture: any
Depends: ${misc:Depends},
    libc6-dev,
    libppd0 (= ${binary:Version}),
Section: libdevel
Description: postscript PPD file library, development kit
 This package contains the static library and header files used in
 development of programs that use libppd.

Package: ppdfilt
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Section: utils
Description: filter that inserts printer specific commands into print jobs
 ppdfilt is a filter program designed to be used within a filter
 script or from the command line tool to insert printer specific
 commands to a PostScript print job. This can be used to tell the printer
 to duplex or staple the print job, or tell it what paper tray to draw
 paper from. In the GNULpr printing environment, users do not call ppdfilt
 directly, but its features are accessed by using 'lpr' or 'gpr' (see)

Package: libppd0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: postscript PPD file library
 PostScript was designed as a device independent language. To be able
 to access device specific features like selecting different paper
 trays and turning on different imaging models, each printer vendor
 supplies a PostScript Printer Definition or PPD file. This library
 reads those PPD files and provides functions that allow a program to
 modify PostScript print jobs to access these special features.
