=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_test:

override_dh_missing:
	dh_missing --fail-missing
