## libppd 2.0~rc1

=== debian/changelog ===
libppd (2:2.0~rc1-0ubuntu3) mantic; urgency=medium

  * Fixed autopkgtest "libppd-2-dev" initializing variable in test C program,
    to avoid occasional segfaults during test execution.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sat, 10 Jun 2023 20:00:00 +0200

libppd (2:2.0~rc1-0ubuntu2) mantic; urgency=medium

  * fix-mirrored-printout-when-ppd-has-mirrorprint-option.patch: When
    converting PPDs with “MirrorPrint” option into IPP attributes, setting
    of the option (“True”/“False”) was not considered, making printouts
    always come out mirrored (LP: #2018504).
  * fix-resolution-handling-on-ppd-to-ipp-attr-conversion.patch: For
    PPDs for driverless printers which take jobs in Apple/PWG Raster
    format always the lowest supported resolution got selected, regardless
    of the PPD default or job option settings (LP: #2022929).
  * ppdfilterpstops-fix-printers-with-reverse-output-order.patch:
    Printouts to PostScript printers (or printers with drivers which need
    PostScript input) which drop the pages face-up and therefore need to
    print in reverse order came out empty (Upstream issue #20,
    LP: #2022943).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon,  5 Jun 2023 19:46:27 +0200

libppd (2:2.0~rc1-0ubuntu1) lunar; urgency=medium

  * New upstream release 2.0rc1.
    - PPD generator sets default color mode when printer attrs say "auto"
      now (LP: #2014976).
    - ppdLoadAttributes() finds the default page size also by size dimensions
      now (LP: #2013131).
  * Removed patches as these fixes are included upstream.
  * Updated libppd2.symbols.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 12 Apr 2023 00:12:27 +0200

libppd (2:2.0~b4-0ubuntu4) lunar; urgency=medium

  * Added patch for upstream fix on converting the PPD file into printer IPP
    attributes. If there were duplicate sizes in the PPD's PageSize option
    and the PPD default was the second (or later) mention of the duplicate
    size, the default size was not identified and undefined behavior
    happened, cfFilterPDFToPDF() and cfFilterGhostscript() assuming
    different page sizes, making the filters errorring out. This made
    dymo-cups-drivers failing the autopkgtest.
  * Added patch for an upstream bug of a wrong name for a PPD attribute
    being used.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 30 Mar 2023 22:14:48 +0200

libppd (2:2.0~b4-0ubuntu3) lunar; urgency=medium

  * Removed "Breaks:/Replaces: cups-ppdc" from libppd2-common. There are no
    file conflicts between these packages.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 24 Feb 2023 22:27:48 +0100

libppd (2:2.0~b4-0ubuntu2) lunar; urgency=medium

  * Added extra symbols from armhf and riscv64 to the debian/libppd2.symbols
    file, as (optional). Used the diffs from buildlogs of failed builds of
    2:2.0~b4-0ubuntu1 on Launchpad. Updated debian/NEWS.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 23 Feb 2023 13:34:48 +0100

libppd (2:2.0~b4-0ubuntu1) lunar; urgency=medium

  * New upstream release 2.0b4.
  * Renamed binary package "ppdc" to "libppd-utils" as it now also
    contains the "testppdfile" utility which replaces "cupstestppd".
  * Moved the /usr/share/ppdc/*.h files from the former "ppdc"
    binary package into "libppd2-common" as the PPD file generation
    from *.drv files is actually done by libppd, not by the command line
    utilities.
  * Added new autopkgtest which builds the test program used by
    "make check" but runs it on the system's libppd. To make the
    test prgram ("testppd") available for autopkgtests we compile it while
    building the package and then provide it (with its auxiliary files) in
    the new libppd-tests binary package.
  * Applied KDE symbolshelper to debian/libppd2.symbols. Updated debian/NEWS
    with more detailed info.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 22 Feb 2023 13:15:48 +0100

libppd (2:2.0~b2-0ubuntu8) lunar; urgency=low

  * debian/tests/control: autopkgtest needs libcups2-dev installed, added
    dependency.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 26 Jan 2023 15:48:07 -0300

libppd (2:2.0~b2-0ubuntu7) lunar; urgency=medium

  * debian/control: Removed trailing white space (lintian warning).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 25 Jan 2023 22:06:07 -0300

libppd (2:2.0~b2-0ubuntu6) lunar; urgency=medium

  * Fix debian/copyright syntax.
  * Fix stale standards-version.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 25 Jan 2023 17:17:29 +0000

libppd (2:2.0~b2-0ubuntu5) lunar; urgency=medium

  * debian/libppd2.symbols:
    - try to fix the symbols difference between architectures

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 25 Jan 2023 16:10:35 +0100

libppd (2:2.0~b2-0ubuntu4) lunar; urgency=low

  * Added epoch 2 for the source package and all binary packages as there was
    a package named "libppd" in the Debian/Ubuntu archives before, with last
    version number 2:0.10-8. The old package was part of the GNU LPR/LPD/LPRng
    printing stack, unused and unmaintained for ~20 years and is renamed
    to "libppd-legacy" in Debian and removed in Ubuntu. The new epoch
    assures that any remnants of that package get replaced instead of
    blocking the installation of the binary packages of the current libppd.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 24 Jan 2023 13:58:07 -0300

libppd (2.0~b2-0ubuntu3) lunar; urgency=low

  * debian/copyright: autotools-generated files can be included under the
    license of the upstream code, and FSF copyright added to upstream
    copyright list. Simplified debian/copyright appropriately.
  * Removed build dependency on dh-apparmor.
  * Corrected typos in debian/control.
  * debian/rules: Remove dh_gencontrol override to only suggest lynx
    if package is built for Ubuntu, does not apply to libppd.
  * Changed autopkgtest to actually exercise libppd, creating a PPD from

