## libppd 2.0.0

=== debian/changelog ===
libppd (2:2.0.0-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:11:08 +0000

libppd (2:2.0.0-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libcupsfilters2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 22 Mar 2024 19:08:46 +0000

libppd (2:2.0.0-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libcups2t64.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 20 Mar 2024 13:51:24 +1300

libppd (2:2.0.0-0ubuntu1) mantic; urgency=medium

  * New upstream release.
    - Final release with further bug fixes
    - Fix for CVE-2023-4504 included
    - Decode "JCLToPDFInterpreter" entry in PPD file before adding it to
      a job (Upstream issue #24)
    - More reliably determine printer's manufacturer from PPD file
      (Upstream issue #21)
    - Many more fixes, especially those which have been done in CUPS
      after having extracted CUPS' PPD support for libppd.
  * Removed patches, fixes are included in the upstream code.
  * Updated debian/libcupsfilters2.symbols

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 25 Sep 2023 16:33:12 +0200

libppd (2:2.0~rc1-0ubuntu4) mantic; urgency=medium

  * SECURITY UPDATE: Postscript parsing heap overflow
    - debian/patches/CVE-2023-4504.patch: properly check for end of buffer
      in ppd/raster-interpret.c.
    - CVE-2023-4504
  * debian/libppd2.symbols: mark _ppd_strlcat and _ppd_strlcpy as optional
    as strlcat and strlcpy appear to be available now.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 20 Sep 2023 12:43:18 -0400
