=== debian/control ===
Source: libppd
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Uploaders:
 Till Kamppeter <till.kamppeter@gmail.com>,
 Thorsten Alteholz <debian@alteholz.de>,
Section: net
Priority: optional
Build-Depends:
 autoconf,
 debhelper-compat (= 13),
 dh-sequence-pkgkde-symbolshelper,
 ghostscript,
 libcups2-dev (>= 2.2.2),
 libcupsfilters-dev (>= 2~),
 pkg-config,
 poppler-utils,
 zlib1g-dev,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/printing-team/libppd
Vcs-Git: https://salsa.debian.org/printing-team/libppd.git
Homepage: http://www.openprinting.org/
Rules-Requires-Root: no

Package: libppd2
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libppd2-common (>= ${source:Version})
Pre-Depends:
 ${misc:Pre-Depends},
Description: OpenPrinting libppd - Shared library
 This library contains everything needed to support PPD (PostScript
 Printer Description) files, reading and parsing, handling collections
 of PPD files, building PPD files from printer IPP attributes and from
 *.drv files.
 .
 It contains the full PPD file and PostScript output functionality of
 CUPS 2.x (libcups, ppdc) and cups-filters 1.x, so that the functionality
 stays available for retro-fitting classic CUPS drivers after switching
 to CUPS 3.x which has all PPD file support removed.
 .
 This package contains the library itself.

Package: libppd2-common
Architecture: all
Section: libs
Depends: ${misc:Depends}
Recommends: libppd2 (>= ${source:Version})
Breaks:
 ppdc (<< 2:2.0~b4~),
Replaces:
 ppdc (<< 2:2.0~b4~),
Description: OpenPrinting libppd - Auxiliary files
 This library contains everything needed to support PPD (PostScript
 Printer Description) files, reading and parsing, handling collections
 of PPD files, building PPD files from printer IPP attributes and from
 *.drv files.
 .
 It contains the full PPD file and PostScript output functionality of
 CUPS 2.x (libcups, ppdc) and cups-filters 1.x, so that the functionality
 stays available for retro-fitting classic CUPS drivers after switching
 to CUPS 3.x which has all PPD file support removed.
 .
 This package contains system-architecture-independent auxiliary files for
 the library, needed for generating PPD files from *.drv files.

Package: libppd-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libppd2 (= ${binary:Version}),
 libcupsfilters-dev (>= 2~),
 ${misc:Depends},
 ${shlibs:Depends},
Description: OpenPrinting libppd - Development files for the library
 This library contains everything needed to support PPD (PostScript
 Printer Description) files, reading and parsing, handling collections
 of PPD files, building PPD files from printer IPP attributes and from
 *.drv files.
 .
 It contains the full PPD file and PostScript output functionality of
 CUPS 2.x (libcups, ppdc) and cups-filters 1.x, so that the functionality
 stays available for retro-fitting classic CUPS drivers after switching
 to CUPS 3.x which has all PPD file support removed.
 .
 This library contains filter functions doing all kinds of file format
 conversion used for printing and scanning, to be used in Printer
 Applications, CUPS filters, printer drivers, ... also other commonly
 used functions for handling print data, like color space/depth
 conversion, dithering, IPP message parsing, ... are available.
 .
 This package contains the header files to develop applications (Printer
 Applications, CUPS filters, printer drivers) using libppd.

Package: libppd-utils
Architecture: any
Multi-Arch: foreign
Section: utils
Depends:
 libppd2-common (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 cups-ppdc (<< 2:2~),
 ppdc (<< 2:2.0~b4~),
Replaces:
 cups-ppdc (<< 2:2~),
 ppdc (<< 2:2.0~b4~),
Provides:
 cups-ppdc
Description: OpenPrinting libppd - PPD manipulation and test utilities
 This library contains everything needed to support PPD (PostScript
 Printer Description) files, reading and parsing, handling collections
 of PPD files, building PPD files from printer IPP attributes and from
 *.drv files.
 .
 It contains the full PPD file and PostScript output functionality of
 CUPS 2.x (libcups, ppdc) and cups-filters 1.x, so that the functionality
 stays available for retro-fitting classic CUPS drivers after switching
 to CUPS 3.x which has all PPD file support removed.
 .
 This package provides the test utility testppdfile which replaces
 the cupstestppd utility of CUPS 2.x. It also provides command line
 utilities to generate and manipulate PPD files and convert between PPD
 files and *.drv files. The core functionality of these utilities is
 implemented in libppd.

Package: libppd-tests
Architecture: any
Multi-Arch: foreign
Section: utils
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: OpenPrinting libppd - Upstream test programs for autopkgtests
 This library contains everything needed to support PPD (PostScript
 Printer Description) files, reading and parsing, handling collections
 of PPD files, building PPD files from printer IPP attributes and from
 *.drv files.
 .
 It contains the full PPD file and PostScript output functionality of
 CUPS 2.x (libcups, ppdc) and cups-filters 1.x, so that the functionality
 stays available for retro-fitting classic CUPS drivers after switching
 to CUPS 3.x which has all PPD file support removed.
 .
 This package contains test programs from the upstream code which are used
 for the autopkgtests.
 .
 For using libppd you do not need to install this package. It does not
 contain anything useful for end users.

Package: ppdc
Section: oldlibs
Priority: extra
Architecture: all
Depends: libppd-utils (>= 2:2.0~b4~),
         ${misc:Depends}
Description: OpenPrinting libppd - PPD utilities (transitional package)
 This is a transitional package and can safely be removed once no other
 packages depend on it.
