=== debian/tests/control ===
Tests: libppd-2-dev
Depends: build-essential,
	 libcups2-dev,
         libcupsfilters-dev,
	 libppd-dev,
         pkg-config,
	 libppd-utils,
Restrictions: allow-stderr

Tests: libppd-2-ppd-handling
Depends: libppd-tests
Restrictions: allow-stderr
