## libppd 2.1~b1

=== debian/changelog ===
libppd (2:2.1~b1-0ubuntu2) oracular; urgency=medium

  * SECURITY UPDATE: PPD injection issues (LP: #2082335)
    - debian/patches/sec-202409-1.patch: sanitize and validate IPP values
      in generated PPD file in ppd/ppd-cache.c, ppd/ppd-generator.c.
    - debian/patches/sec-202409-2.patch: escape localized strings in
      ppd/ppd-generator.c.
    - debian/patches/sec-202409-3.patch: fix FTBFS and default InputSlot
      value in ppd/ppd-cache.c, ppd/ppd-generator.c.
    - CVE-2024-47175

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 26 Sep 2024 09:27:49 -0400

libppd (2:2.1~b1-0ubuntu1) oracular; urgency=medium

  * New upstream release
    - One year's worth of bug fixes
  * Updated debian/libppd2.symbols

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 15 Aug 2024 02:24:13 +0200
