## libppd 2.1.1

=== debian/changelog ===
libppd (2:2.1.1-0ubuntu2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Sat, 06 Dec 2025 11:32:46 +0100

libppd (2:2.1.1-0ubuntu1) plucky; urgency=medium

  * New upstream release.
    - Fixes of bugs discovered by static analyzer OpenScanHub (Thanks,
      Zdenek Dohnal from Red Hat)
    - Fixes off-centered printing with the epsoneplijs driver: Epson EPL-5700L,
      EPL-5800L, EPL-5900L, EPL-6100L, EPL-6200L
    - Fixes crasher in the PPD-to-IPP-attributes conversion
  * Removed sec-202409-*.patch, incorporated upstream.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 19 Feb 2025 14:50:32 +0100
